macOS M1 Pro 安装 h5py

安装 h5py 失败

安装 TensorFlow 时,遇到一个依赖 h5py,这个包无论如何无法成功安装,报错无任何可用信息:

这就很难办了,查看日志发现原来是没有针对 m1 的二进制包,自动进行编译了。但编译报错说找不到头文件:
[crayon-6[……]

点击跳转以继续阅读

删除不受支持的 System Extension macOS M1

直接使用系统信息工具查看当前系统中的插件

最近一直在安装驱动时有弹窗,说某某系统插件不被支持了,无法加载。但一直苦于没找到具体插件路径而无法删除掉,其实这些插件我本身也不再使用,甚至当初安装插件的app早都已经删除。今天实在是受不了了,警告弹窗一下出来十多个,决定处理一下。

苹果已经在最近的几个系统中更新了插件的开发结构,现在新的ap[……]

点击跳转以继续阅读